MarinerWrtGraphInternal::Zone Struct Reference

Internal: the struct use to store a zone of a MarinerWrtGraph. More...

## Public Member Functions

| Zone ()
| constructor

## Public Attributes

std::map< long, Token > | m_tokenMap
| the map id->token
std::map< long, PSZone > | m_psZoneMap
| the map id->entry to a psfile

## Detailed Description

Internal: the struct use to store a zone of a MarinerWrtGraph.

## Constructor & Destructor Documentation

## Zone()

MarinerWrtGraphInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_psZoneMap

std::map<long, PSZone> MarinerWrtGraphInternal::Zone::m_psZoneMap

the map id->entry to a psfile

Referenced by MarinerWrtGraph::readPostscript(), and Zone().

## m_tokenMap

std::map<long, Token> MarinerWrtGraphInternal::Zone::m_tokenMap

the map id->token

Referenced by Zone().

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx